[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] spec: Add missed dependancy for numad



On 2012年03月24日 03:27, Eric Blake wrote:
On 03/23/2012 09:39 AM, Osier Yang wrote:
numad is available since Fedora 17 and RHEL6.X. And it's not supported
on s390[x] and ARM.
---
  configure.ac            |   26 +++++++++++++++++++++-----
  libvirt.spec.in         |   19 ++++++++++++++++++-
  src/qemu/qemu_process.c |    2 +-
  3 files changed, 40 insertions(+), 7 deletions(-)

diff --git a/configure.ac b/configure.ac

  AC_MSG_NOTICE([       DTrace: $with_dtrace])
+AC_MSG_NOTICE([       numad:  $with_numad])
  AC_MSG_NOTICE([  XML Catalog: $XML_CATALOG_FILE])

Spacing is off: s/numad: / numad:/


@@ -357,6 +366,9 @@ Requires(post): systemd-sysv
  Requires(preun): systemd-units
  Requires(postun): systemd-units
  %endif
+%if %{with_numad}
+Requires: numad
+%endif

Missing a counterpart BuildRequires lower down in order to ensure that
the absolute path to numad is found at configure time.

ACK with those fixes.


Thanks, pushed with the fixes.

Regards,
Osier


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]